Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Interface ImportSelector

All Known Implementing Classes:
  AdviceModeImportSelector, AsyncConfigurationSelector, CachingConfigurationSelector, TransactionManagementConfigurationSelector

    public interface ImportSelector

Interface to be implemented by types that determine which @`Configuration` class(es) should be imported based on a given selection criteria, usually one or more annotation attributes.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `Import`, `ImportBeanDefinitionRegistrar`, `Configuration`

Method Summary
`String[]` | `selectImports(AnnotationMetadata importingClassMetadata)` Select and return the names of which class(es) should be imported based on the `AnnotationMetadata` of the importing @`Configuration` class.

Method Detail

### selectImports

    String[] selectImports(AnnotationMetadata importingClassMetadata)

  Select and return the names of which class(es) should be imported based on the `AnnotationMetadata` of the importing @`Configuration` class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD